Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.util.instrum
Class MfObjectNameFactory

    java.lang.Object
      com.sun.mfwk.util.instrum.MfObjectNameFactory

public class MfObjectNameFactory
extends java.lang.Object

MfObjectNameFactory provides methods to create the transaction API objects.

Field Summary
`static java.lang.String` | `DOMAIN`
`static java.lang.String` | `EXT_RESOURCE_METRICS_TYPE`
`static java.lang.String` | `INSTRUM_CONFIG_TYPE`
`static java.lang.String` | `INSTRUM_MGMT_TYPE`
`static java.lang.String` | `RESOURCE_METRICS_TYPE`
`static java.lang.String` | `STATUS_TYPE`
`static java.lang.String` | `TRANS_METRICS_TYPE`

Method Summary
`static javax.management.ObjectName` | `getExternalResourceMetricsName(java.lang.String name)` Creates a new ObjectName for external resource metrics MBean.
`static javax.management.ObjectName` | `getInstrumConfigName()` Creates a new ObjectName for instrumentation config MBean.
`static javax.management.ObjectName` | `getInstrumManagementName()` Creates a new ObjectName for instrumentation management MBean.
`static javax.management.ObjectName` | `getResourceMetricsName(java.lang.String name)` Creates a new ObjectName for resource metrics MBean.
`static javax.management.ObjectName` | `getStatusName()` Creates a new ObjectName for MfStatus.
`static javax.management.ObjectName` | `getTransactionMetricsName(java.lang.String name)` Creates a new ObjectName for a MfTransactionMetrics instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOMAIN

    public static final java.lang.String DOMAIN

See Also:
  Constant Field Values

### TRANS_METRICS_TYPE

    public static final java.lang.String TRANS_METRICS_TYPE

See Also:
  Constant Field Values

### STATUS_TYPE

    public static final java.lang.String STATUS_TYPE

See Also:
  Constant Field Values

### INSTRUM_MGMT_TYPE

    public static final java.lang.String INSTRUM_MGMT_TYPE

See Also:
  Constant Field Values

### INSTRUM_CONFIG_TYPE

    public static final java.lang.String INSTRUM_CONFIG_TYPE

See Also:
  Constant Field Values

### RESOURCE_METRICS_TYPE

    public static final java.lang.String RESOURCE_METRICS_TYPE

See Also:
  Constant Field Values

### EXT_RESOURCE_METRICS_TYPE

    public static final java.lang.String EXT_RESOURCE_METRICS_TYPE

See Also:
  Constant Field Values

Method Detail

### getTransactionMetricsName

    public static javax.management.ObjectName getTransactionMetricsName(java.lang.String name)
                                                                 throws javax.management.MalformedObjectNameException

  Creates a new ObjectName for a MfTransactionMetrics instance.

  Parameters:
    `name` - the related name.
  Returns:
    ObjectName
  Throws:
    `javax.management.MalformedObjectNameException`

### getStatusName

    public static javax.management.ObjectName getStatusName()
                                                     throws javax.management.MalformedObjectNameException

  Creates a new ObjectName for MfStatus.

  Returns:
    ObjectName
  Throws:
    `javax.management.MalformedObjectNameException`

### getInstrumManagementName

    public static javax.management.ObjectName getInstrumManagementName()
                                                                throws javax.management.MalformedObjectNameException

  Creates a new ObjectName for instrumentation management MBean.

  Returns:
    ObjectName
  Throws:
    `javax.management.MalformedObjectNameException`

### getInstrumConfigName

    public static javax.management.ObjectName getInstrumConfigName()
                                                            throws javax.management.MalformedObjectNameException

  Creates a new ObjectName for instrumentation config MBean.

  Returns:
    ObjectName
  Throws:
    `javax.management.MalformedObjectNameException`

### getResourceMetricsName

    public static javax.management.ObjectName getResourceMetricsName(java.lang.String name)
                                                              throws javax.management.MalformedObjectNameException

  Creates a new ObjectName for resource metrics MBean.

  Parameters:
    `name` - the related name.
  Returns:
    ObjectName
  Throws:
    `javax.management.MalformedObjectNameException`

### getExternalResourceMetricsName

    public static javax.management.ObjectName getExternalResourceMetricsName(java.lang.String name)
                                                                      throws javax.management.MalformedObjectNameException

  Creates a new ObjectName for external resource metrics MBean.

  Parameters:
    `name` - the related name.
  Returns:
    ObjectName
  Throws:
    `javax.management.MalformedObjectNameException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD